﻿using System;
using System.Globalization;
using System.Threading;

/*
 *         Progetto: AWG2
 * 
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 07/11/2014
 *  
 *      Descrizione: Determina il numero AWG di un cavo noti il diametro e l'unità di misura.
 */

namespace AWG2
{
    class Program
    {
        static void Main(string[] args)
        {
            const double riferimentoMm = 0.127;
            const double riferimentoIn = 0.005;

            int scelta;
            double diametro, awg;

            // Usa le impostazioni internazionali (mutuate dalla lingua inglese)
            // per il formato numerico. Il separatore decimale è il punto

            Thread.CurrentThread.CurrentCulture = CultureInfo.InvariantCulture;

            do
            {
                Console.Write("Diametro: ");
                diametro = Convert.ToDouble(Console.ReadLine());
            }
            while (diametro <= 0);

            do
            {
                Console.Write("Unità di misura (1 - millimetro; 2 - pollice): ");
                scelta = Convert.ToInt32(Console.ReadLine());
            }
            while (scelta != 1 && scelta != 2);

            double riferimento = (scelta == 1 ? riferimentoMm : riferimentoIn);
            awg = 36.0 - 39.0 * Math.Log(diametro / riferimento, 92);

            Console.WriteLine("Numero AWG: {0:N1}", awg);
        }
    }
}
